SocketConnection
Date: 2016-06-24

javax.microedition.io

## Interface SocketConnection

- All Superinterfaces:
    Connection, InputConnection, OutputConnection, StreamConnection
  All Known Subinterfaces:
    SecureConnection

      public interface SocketConnection
      extends StreamConnection

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `DELAY`
    `static byte` | `KEEPALIVE`
    `static byte` | `LINGER`
    `static byte` | `RCVBUF`
    `static byte` | `SNDBUF`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddress()`
    `String` | `getLocalAddress()`
    `int` | `getLocalPort()`
    `int` | `getPort()`
    `int` | `getSocketOption(byte var0)`
    `void` | `setSocketOption(byte var0, int var1)`

    - ### Methods inherited from interface javax.microedition.io.InputConnection

      `openDataInputStream, openInputStream`

    - ### Methods inherited from interface javax.microedition.io.OutputConnection

      `openDataOutputStream, openOutputStream`

    - ### Methods inherited from interface javax.microedition.io.Connection

      `close`

- - ### Field Detail

    - #### DELAY

          static final byte DELAY

      See Also:
        Constant Field Values

    - #### KEEPALIVE

          static final byte KEEPALIVE

      See Also:
        Constant Field Values

    - #### LINGER

          static final byte LINGER

      See Also:
        Constant Field Values

    - #### RCVBUF

          static final byte RCVBUF

      See Also:
        Constant Field Values

    - #### SNDBUF

          static final byte SNDBUF

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getAddress

          String getAddress()
                            throws IOException

      Throws:
        `IOException`

    - #### getLocalAddress

          String getLocalAddress()
                                 throws IOException

      Throws:
        `IOException`

    - #### getLocalPort

          int getLocalPort()
                           throws IOException

      Throws:
        `IOException`

    - #### getPort

          int getPort()
                      throws IOException

      Throws:
        `IOException`

    - #### getSocketOption

          int getSocketOption(byte var0)
                              throws IOException

      Throws:
        `IOException`

    - #### setSocketOption

          void setSocketOption(byte var0,
                             int var1)
                               throws IOException

      Throws:
        `IOException`